module AlexCodebreaker
  module Modules
    module ArgumentsValidation
      include AlexCodebreaker::Modules::Validators
      def name_validation(name)
        argument_min_length_check(name, AlexCodebreaker::Modules::Settings::MIN_PLAYER_NAME_LENGTH) &&
          argument_max_length_check(name, AlexCodebreaker::Modules::Settings::MAX_PLAYER_NAME_LENGTH)
      end

      def guess_validation(guess)
        argument_length_check(guess, AlexCodebreaker::Modules::Settings::CODE_LENGTH) &&
          digits_check(guess, AlexCodebreaker::Modules::Settings::CODE_MIN_DIGIT,
                       AlexCodebreaker::Modules::Settings::CODE_MAX_DIGIT)
      end
    end
  end
end
