module AlexCodebreaker
  class SecretCodeGenerator
    attr_reader :secret_code

    def initialize
      @secret_code = generate_secret_code
    end

    private

    def generate_secret_code
      Array.new(AlexCodebreaker::Modules::Settings::CODE_LENGTH) do
        rand(AlexCodebreaker::Modules::Settings::CODE_MIN_DIGIT..AlexCodebreaker::Modules::Settings::CODE_MAX_DIGIT)
      end
    end
  end
end
