module AlexCodebreaker
  class Configuration
    DEFAULT_WINNERS_FOLDER_PATH = 'games/winners'.freeze
    DEFAULT_GAMES_FOLDER_PATH = 'games'.freeze

    attr_accessor :winners_folder_path, :games_folder_path

    def initialize
      @winners_folder_path = DEFAULT_WINNERS_FOLDER_PATH
      @games_folder_path = DEFAULT_GAMES_FOLDER_PATH
    end
  end

  def self.configuration
    @configuration ||= Configuration.new
  end

  def self.configure
    yield configuration
  end
end
